Subject: Re: Bridged networking panics

From: Massimo Cetra <[email-masked]>
Date: Wed, 04 Jul 2012 12:42:34 +0200

On 28/06/2012 15:57, Massimo Cetra wrote:
> Hi all,
>
> i'm attaching 3 panics of a 3.2.X kernel.
> The panics were obtained with a 3.2.20 from debian testing and from a
> vanilla compile of 3.2.21.
>
> Those panics have been already posted some months ago [1] but are not
> fixed.
>
> The problems seems related to bridged networking.
> Whenever there is a bridged aliased interface (like br0:1 br0:2 etcc),
> the server will panic after some time. The more the network load, the
> shortest the uptime.
> Removing (ifconfig br0:1 down) or adding back an interface seems to help
> the panic to appear.

Ok, waiting for an answer (sincerely i don't understand why no ones 
cares for months) i'm attaching 3 more panics happened this morning on a 
vanilla 3.2.21.

The problem is related to heavy network traffic.

I'm not a kernel hacker but I see that net_rx_action() is in the backtrace.
So (probably reaching wrong conclusions) if those panics are triggered 
by incoming network traffic, can an attacker use this to crash a machine ?

Anyone willing to reply or at least tell me what's going on ?

Thanks

MC